//-----------------------------------------------------------------------------
// Title         : HT Core
// Project       : HT Testbench
//-----------------------------------------------------------------------------
// File          : csco_ht_core.e
// Author        : Brian Van Essen  <vanessen@cisco.com>
// Created       : 02.05.2001
// Last modified : 02.05.2001
//-----------------------------------------------------------------------------
// Description :
// This file will import all of the core files of the HT Testbench.
// The purpose of this seperation is so that the core can be compiled to provide
// acceleration, while the higher level files that define device behavior and
// traffic are still interpereted to allow flexability.
//-----------------------------------------------------------------------------
// Modification history :
// 02.05.2001 : created
//-----------------------------------------------------------------------------

// ***** BEGIN LICENSE BLOCK *****
// Version: MPL 1.1
// The contents of this file are subject to the Mozilla Public License Version
// 1.1 (the "License"); you may not use this file except in compliance with
// the License. You may obtain a copy of the License at
// http:                                                   // www.mozilla.org/MPL/ or ./mpl_1_1.txt
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the License.
// The Original Code is Cisco Hypertransport eVC.
// The Initial Developer of the Original Code is
// Brian Van Essen, Lisa Huang, and Sean Smith.
// Portions created by the Initial Developer are Copyright (C) 2002
// the Initial Developer. All Rights Reserved.
// Contributor(s): Brian Van Essen, Lisa Huang, and Sean Smith
// ***** END LICENSE BLOCK *****

<'

#ifdef SPECMAN_VERSION_3_3_1 then {
import enum_constraint_patch;
import RQST00480_bug_fix;
};

#ifdef SPECMAN_VERSION_3_3_2 then {
import RQST00480_bug_fix;
};

import csco_ht_declarations;

// Import Core Features
import (csco_ht_common, csco_ht_packet_definition, csco_ht_link, csco_ht_device_control, csco_ht_link_interface, csco_ht_channel_interface, csco_ht_device);

'>
