////////////////////////////////////////////////////////////////////////////       // -
// Title         : HT Link
// Project       : HT Testbench
////////////////////////////////////////////////////////////////////////////       // -
// File          : HT_link.e
// Author        : Brian Van Essen  <vanessen@cisco.com>
// Created       : 25.01.2001
// Last modified : 02.05.2001
////////////////////////////////////////////////////////////////////////////       // -
// Description :
//
////////////////////////////////////////////////////////////////////////////////
// Modification history :
// 25.01.2001 : created
//////////////////////////////////////////////////////////////////////////////-

// ***** BEGIN LICENSE BLOCK *****
// Version: MPL 1.1
// The contents of this file are subject to the Mozilla Public License Version
// 1.1 (the "License"); you may not use this file except in compliance with
// the License. You may obtain a copy of the License at
// http:                                                   // www.mozilla.org/MPL/ or ./mpl_1_1.txt
// Software distributed under the License is distributed on an "AS IS" basis,
// WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
// for the specific language governing rights and limitations under the License.
// The Original Code is Cisco Hypertransport eVC.
// The Initial Developer of the Original Code is
// Brian Van Essen, Lisa Huang, and Sean Smith.
// Portions created by the Initial Developer are Copyright (C) 2002
// the Initial Developer. All Rights Reserved.
// Contributor(s): Brian Van Essen, Lisa Huang, and Sean Smith
// ***** END LICENSE BLOCK *****

<'
////////////////////////////////////////////////////////////////////////////////
// A HT link is an 'e' code link used to connect two HT devices together in the absence of a verilog DUT.
////////////////////////////////////////////////////////////////////////////////
unit csco_ht_link {
  link_width : csco_ht_link_size;
  keep soft link_width == Eight_Bits;

  clk : list of bit;
  keep clk.size() == link_width.as_a(int) / 8;
  keep for each in clk {
    it == 1;
  };
  ctl : bit;
  cad : uint;
  keep cad == ((1 << link_width.as_a(int)) - 1);
};
////////////////////////////////////////////////////////////////////////////////
'>
